## org.eclipse.datatools.modelbase.sql.statements
Interface SQLStatementsPackage

All Known Implementing Classes:
  SQLStatementsPackageImpl

    public interface SQLStatementsPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLStatementsFactory`

Nested Class Summary
`static interface` `SQLStatementsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static SQLStatementsPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `SQL_CONNECTION_STATEMENT` The meta object id for the '`SQL Connection Statement`' class.
`static int` `SQL_CONNECTION_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Connection Statement' class.
`static int` `SQL_CONTROL_STATEMENT` The meta object id for the '`SQL Control Statement`' class.
`static int` `SQL_CONTROL_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Control Statement' class.
`static int` `SQL_DATA_CHANGE_STATEMENT` The meta object id for the '`SQL Data Change Statement`' class.
`static int` `SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Data Change Statement' class.
`static int` `SQL_DATA_STATEMENT` The meta object id for the '`SQL Data Statement`' class.
`static int` `SQL_DATA_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Data Statement' class.
`static int` `SQL_DIAGNOSTICS_STATEMENT` The meta object id for the '`SQL Diagnostics Statement`' class.
`static int` `SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Diagnostics Statement' class.
`static int` `SQL_DYNAMIC_STATEMENT` The meta object id for the '`SQL Dynamic Statement`' class.
`static int` `SQL_DYNAMIC_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Dynamic Statement' class.
`static int` `SQL_SCHEMA_STATEMENT` The meta object id for the '`SQL Schema Statement`' class.
`static int` `SQL_SCHEMA_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Schema Statement' class.
`static int` `SQL_SESSION_STATEMENT` The meta object id for the '`SQL Session Statement`' class.
`static int` `SQL_SESSION_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Session Statement' class.
`static int` `SQL_STATEMENT` The meta object id for the '`SQL Statement`' class.
`static int` `SQL_STATEMENT_DEFAULT` The meta object id for the '`SQL Statement Default`' class.
`static int` `SQL_STATEMENT_DEFAULT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SQL_STATEMENT_DEFAULT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SQL_STATEMENT_DEFAULT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SQL_STATEMENT_DEFAULT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SQL_STATEMENT_DEFAULT__LABEL` The feature id for the 'Label' attribute.
`static int` `SQL_STATEMENT_DEFAULT__NAME` The feature id for the 'Name' attribute.
`static int` `SQL_STATEMENT_DEFAULT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SQL_STATEMENT_DEFAULT__SQL` The feature id for the 'SQL' attribute.
`static int` `SQL_STATEMENT_DEFAULT_FEATURE_COUNT` The number of structural features of the 'SQL Statement Default' class.
`static int` `SQL_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Statement' class.
`static int` `SQL_TRANSACTION_STATEMENT` The meta object id for the '`SQL Transaction Statement`' class.
`static int` `SQL_TRANSACTION_STATEMENT_FEATURE_COUNT` The number of structural features of the 'SQL Transaction Statement' class.

Method Summary
`EClass` `getSQLConnectionStatement()` Returns the meta object for class '`SQL Connection Statement`'.
`EClass` `getSQLControlStatement()` Returns the meta object for class '`SQL Control Statement`'.
`EClass` `getSQLDataChangeStatement()` Returns the meta object for class '`SQL Data Change Statement`'.
`EClass` `getSQLDataStatement()` Returns the meta object for class '`SQL Data Statement`'.
`EClass` `getSQLDiagnosticsStatement()` Returns the meta object for class '`SQL Diagnostics Statement`'.
`EClass` `getSQLDynamicStatement()` Returns the meta object for class '`SQL Dynamic Statement`'.
`EClass` `getSQLSchemaStatement()` Returns the meta object for class '`SQL Schema Statement`'.
`EClass` `getSQLSessionStatement()` Returns the meta object for class '`SQL Session Statement`'.
`EClass` `getSQLStatement()` Returns the meta object for class '`SQL Statement`'.
`EAttribute` `getSQLStatementDefault_SQL()` Returns the meta object for the attribute '`SQL`'.
`EClass` `getSQLStatementDefault()` Returns the meta object for class '`SQL Statement Default`'.
`SQLStatementsFactory` `getSQLStatementsFactory()` Returns the factory that creates the instances of the model.
`EClass` `getSQLTransactionStatement()` Returns the meta object for class '`SQL Transaction Statement`'.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SQLStatementsPackage eINSTANCE

  The singleton instance of the package.

### SQL_STATEMENT

    static final int SQL_STATEMENT

  The meta object id for the '`SQL Statement`' class.

  See Also:
    `SQLStatement`, `SQLStatementsPackageImpl.getSQLStatement()`, Constant Field Values

### SQL_STATEMENT_FEATURE_COUNT

    static final int SQL_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Statement' class.

  See Also:
    Constant Field Values

### SQL_DATA_STATEMENT

    static final int SQL_DATA_STATEMENT

  The meta object id for the '`SQL Data Statement`' class.

  See Also:
    `SQLDataStatement`, `SQLStatementsPackageImpl.getSQLDataStatement()`, Constant Field Values

### SQL_DATA_STATEMENT_FEATURE_COUNT

    static final int SQL_DATA_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Data Statement' class.

  See Also:
    Constant Field Values

### SQL_SCHEMA_STATEMENT

    static final int SQL_SCHEMA_STATEMENT

  The meta object id for the '`SQL Schema Statement`' class.

  See Also:
    `SQLSchemaStatement`, `SQLStatementsPackageImpl.getSQLSchemaStatement()`, Constant Field Values

### SQL_SCHEMA_STATEMENT_FEATURE_COUNT

    static final int SQL_SCHEMA_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Schema Statement' class.

  See Also:
    Constant Field Values

### SQL_CONTROL_STATEMENT

    static final int SQL_CONTROL_STATEMENT

  The meta object id for the '`SQL Control Statement`' class.

  See Also:
    `SQLControlStatement`, `SQLStatementsPackageImpl.getSQLControlStatement()`, Constant Field Values

### SQL_CONTROL_STATEMENT_FEATURE_COUNT

    static final int SQL_CONTROL_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Control Statement' class.

  See Also:
    Constant Field Values

### SQL_DATA_CHANGE_STATEMENT

    static final int SQL_DATA_CHANGE_STATEMENT

  The meta object id for the '`SQL Data Change Statement`' class.

  See Also:
    `SQLDataChangeStatement`, `SQLStatementsPackageImpl.getSQLDataChangeStatement()`, Constant Field Values

### SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT

    static final int SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Data Change Statement' class.

  See Also:
    Constant Field Values

### SQL_STATEMENT_DEFAULT

    static final int SQL_STATEMENT_DEFAULT

  The meta object id for the '`SQL Statement Default`' class.

  See Also:
    `SQLStatementDefaultImpl`, `SQLStatementsPackageImpl.getSQLStatementDefault()`, Constant Field Values

### SQL_STATEMENT_DEFAULT__EANNOTATIONS

    static final int SQL_STATEMENT_DEFAULT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SQL_STATEMENT_DEFAULT__NAME

    static final int SQL_STATEMENT_DEFAULT__NAME

  The feature id for the 'Name' attribute.

### SQL_STATEMENT_DEFAULT__DEPENDENCIES

    static final int SQL_STATEMENT_DEFAULT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### SQL_STATEMENT_DEFAULT__DESCRIPTION

    static final int SQL_STATEMENT_DEFAULT__DESCRIPTION

  The feature id for the 'Description' attribute.

### SQL_STATEMENT_DEFAULT__LABEL

    static final int SQL_STATEMENT_DEFAULT__LABEL

  The feature id for the 'Label' attribute.

### SQL_STATEMENT_DEFAULT__COMMENTS

    static final int SQL_STATEMENT_DEFAULT__COMMENTS

  The feature id for the 'Comments' reference list.

### SQL_STATEMENT_DEFAULT__PRIVILEGES

    static final int SQL_STATEMENT_DEFAULT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### SQL_STATEMENT_DEFAULT__SQL

    static final int SQL_STATEMENT_DEFAULT__SQL

  The feature id for the 'SQL' attribute.

### SQL_STATEMENT_DEFAULT_FEATURE_COUNT

    static final int SQL_STATEMENT_DEFAULT_FEATURE_COUNT

  The number of structural features of the 'SQL Statement Default' class.

### SQL_CONNECTION_STATEMENT

    static final int SQL_CONNECTION_STATEMENT

  The meta object id for the '`SQL Connection Statement`' class.

  See Also:
    `SQLConnectionStatement`, `SQLStatementsPackageImpl.getSQLConnectionStatement()`, Constant Field Values

### SQL_CONNECTION_STATEMENT_FEATURE_COUNT

    static final int SQL_CONNECTION_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Connection Statement' class.

  See Also:
    Constant Field Values

### SQL_DIAGNOSTICS_STATEMENT

    static final int SQL_DIAGNOSTICS_STATEMENT

  The meta object id for the '`SQL Diagnostics Statement`' class.

  See Also:
    `SQLDiagnosticsStatement`, `SQLStatementsPackageImpl.getSQLDiagnosticsStatement()`, Constant Field Values

### SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT

    static final int SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Diagnostics Statement' class.

  See Also:
    Constant Field Values

### SQL_DYNAMIC_STATEMENT

    static final int SQL_DYNAMIC_STATEMENT

  The meta object id for the '`SQL Dynamic Statement`' class.

  See Also:
    `SQLDynamicStatement`, `SQLStatementsPackageImpl.getSQLDynamicStatement()`, Constant Field Values

### SQL_DYNAMIC_STATEMENT_FEATURE_COUNT

    static final int SQL_DYNAMIC_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Dynamic Statement' class.

  See Also:
    Constant Field Values

### SQL_SESSION_STATEMENT

    static final int SQL_SESSION_STATEMENT

  The meta object id for the '`SQL Session Statement`' class.

  See Also:
    `SQLSessionStatement`, `SQLStatementsPackageImpl.getSQLSessionStatement()`, Constant Field Values

### SQL_SESSION_STATEMENT_FEATURE_COUNT

    static final int SQL_SESSION_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Session Statement' class.

  See Also:
    Constant Field Values

### SQL_TRANSACTION_STATEMENT

    static final int SQL_TRANSACTION_STATEMENT

  The meta object id for the '`SQL Transaction Statement`' class.

  See Also:
    `SQLTransactionStatement`, `SQLStatementsPackageImpl.getSQLTransactionStatement()`, Constant Field Values

### SQL_TRANSACTION_STATEMENT_FEATURE_COUNT

    static final int SQL_TRANSACTION_STATEMENT_FEATURE_COUNT

  The number of structural features of the 'SQL Transaction Statement' class.

  See Also:
    Constant Field Values

Method Detail

### getSQLStatement

    EClass getSQLStatement()

  Returns the meta object for class '`SQL Statement`'.

  Returns:
    the meta object for class 'SQL Statement'.
  See Also:
    `SQLStatement`

### getSQLDataStatement

    EClass getSQLDataStatement()

  Returns the meta object for class '`SQL Data Statement`'.

  Returns:
    the meta object for class 'SQL Data Statement'.
  See Also:
    `SQLDataStatement`

### getSQLSchemaStatement

    EClass getSQLSchemaStatement()

  Returns the meta object for class '`SQL Schema Statement`'.

  Returns:
    the meta object for class 'SQL Schema Statement'.
  See Also:
    `SQLSchemaStatement`

### getSQLControlStatement

    EClass getSQLControlStatement()

  Returns the meta object for class '`SQL Control Statement`'.

  Returns:
    the meta object for class 'SQL Control Statement'.
  See Also:
    `SQLControlStatement`

### getSQLDataChangeStatement

    EClass getSQLDataChangeStatement()

  Returns the meta object for class '`SQL Data Change Statement`'.

  Returns:
    the meta object for class 'SQL Data Change Statement'.
  See Also:
    `SQLDataChangeStatement`

### getSQLStatementDefault

    EClass getSQLStatementDefault()

  Returns the meta object for class '`SQL Statement Default`'.

  Returns:
    the meta object for class 'SQL Statement Default'.
  See Also:
    `SQLStatementDefault`

### getSQLStatementDefault_SQL

    EAttribute getSQLStatementDefault_SQL()

  Returns the meta object for the attribute '`SQL`'.

  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `SQLStatementDefault.getSQL()`, `getSQLStatementDefault()`

### getSQLConnectionStatement

    EClass getSQLConnectionStatement()

  Returns the meta object for class '`SQL Connection Statement`'.

  Returns:
    the meta object for class 'SQL Connection Statement'.
  See Also:
    `SQLConnectionStatement`

### getSQLDiagnosticsStatement

    EClass getSQLDiagnosticsStatement()

  Returns the meta object for class '`SQL Diagnostics Statement`'.

  Returns:
    the meta object for class 'SQL Diagnostics Statement'.
  See Also:
    `SQLDiagnosticsStatement`

### getSQLDynamicStatement

    EClass getSQLDynamicStatement()

  Returns the meta object for class '`SQL Dynamic Statement`'.

  Returns:
    the meta object for class 'SQL Dynamic Statement'.
  See Also:
    `SQLDynamicStatement`

### getSQLSessionStatement

    EClass getSQLSessionStatement()

  Returns the meta object for class '`SQL Session Statement`'.

  Returns:
    the meta object for class 'SQL Session Statement'.
  See Also:
    `SQLSessionStatement`

### getSQLTransactionStatement

    EClass getSQLTransactionStatement()

  Returns the meta object for class '`SQL Transaction Statement`'.

  Returns:
    the meta object for class 'SQL Transaction Statement'.
  See Also:
    `SQLTransactionStatement`

### getSQLStatementsFactory

    SQLStatementsFactory getSQLStatementsFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.